import { $postParam, $post } from "@/plugins/axios";

// scan-task-manage
export const scanTaskListPage = datas => {
  return $postParam("/api/admin/paper/scan_task/query", datas);
};
export const scanTaskDetailPage = datas => {
  return $postParam("/api/admin/paper/scan_task/task_detail_page", datas);
};
export const updateScanTask = datas => {
  return $post("/api/admin/", datas);
};
export const deleteScanTask = idList => {
  return $postParam("/api/admin/paper/scan_task/delete_batch", { idList });
};
export const clearScanTaskData = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/clear_scan_data", {
    paperScanTaskId
  });
};
export const unbindScanTaskUser = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/unbind_scanner", {
    paperScanTaskId
  });
};
export const scanTaskBindUser = datas => {
  return $postParam("/api/admin/", datas);
};
export const dataCheckStateDetail = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/bind_progress_detail", {
    paperScanTaskId
  });
};
export const releaseUserDataCheckTask = datas => {
  return $postParam("/api/admin/paper/scan_task/release_binding_task", datas);
};

// record-manage
export const recordListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const updateRecord = datas => {
  return $post("/api/admin/sys/user/save", datas);
};
export const deleteRecord = ids => {
  return $postParam("/api/admin/sys/role/remove", { ids });
};
// data-check-manage
export const dataCheckUndoListPage = datas => {
  return $postParam("/api/admin/paper/library/page_unbind", datas);
};
export const dataCheckDoneListPage = datas => {
  return $postParam("/api/admin/paper/library/page_bind", datas);
};
export const studentPictureList = paperScanTaskDetailId => {
  return $postParam("/api/admin/paper/library/list_student_picture", {
    paperScanTaskDetailId
  });
};
export const studentUnbindTaskListPage = datas => {
  return $postParam("/api/admin/paper/library/get_bind_data", datas);
};
export const paperBindUser = datas => {
  return $post("/api/admin/sys/user/save", datas);
};
